[Frugalware-announce] Kernel update in -current: WARNING for Intel users

VMiklos noreply at frugalware.org
Thu Oct 4 17:18:37 CEST 2007


As of kernel-2.6.22-5 in Frugalware-current, Intel users will have /dev/sd*
devices rather than /dev/hd* ones. The reason is the following: It was not
possible to boot the kernel on some machines without this change. See [1] this bugreport for more details. So after upgrading using pacman -Syu, you need to:Check if you have an Intel IDE controller using sudo lspci |grep -i intel.*ide.
If you got no result then probably you're not affected.Edit /etc/fstab: change all occurrences of /etc/hd to /etc/sd.Edit /boot/grub/menu.lst: change all occurrences of /etc/hd to /etc/sd in the
Frugalware entry.Reboot.Thanks for your understandings!
References

1. http://bugs.frugalware.org/2243


More information about the Frugalware-announce mailing list